include "ui/swing_ui.iol"

constants {
	Location_Client = "socket://localhost:10500/",
	Location_Folder = "client",
	ROLE = "client"
}
execution { single }

type OpType:void {
  .msgID:string
  .content?:undefined
}

type CoordType:void {
  .rolesNum:int
  .hasAck?:bool
  .sid:string
}

type JoinType:void {
  .sid:string
}

interface MHInterface {
OneWay:
  initStartProcedure( CoordType )
RequestResponse:
  joinAck( JoinType )( void ), joinStart( JoinType )( void )
}

outputPort MH {
Interfaces: MHInterface
}

embedded {
Jolie : "mh.ol" in MH
}

outputPort seller {
Location: "socket://localhost:10501/"
Protocol: sodep
RequestResponse:
  request( OpType )( undefined )
}

include "AbstractClient.iol"
main
{
  var286.sid = "d5c8db2b-b038-48fe-bc6d-ef8eca5b3eed";
  var286.rolesNum = 2;
  initStartProcedure@MH( var286 );
  undef( var286.rolesNum );
  joinStart@MH( var286 )(  );
  showInputDialog@SwingUI( "client: " + "Insert product name" )( var282 );
  var283.value = var282;
  var283 = "product";
  set@State( var283 )(  );
  get@State( "product" )( var285 );
  _tmp = var285;
  var284.content = _tmp;
  var284.msgID = "3f7e39b5-a6b7-46dc-a410-ea5c704919b0";
  request@seller( var284 )(  );
  run@ActivityManager( "bd13e47a-8cfb-4ba2-9851-1af43abf7376" )(  )
}

