
constants {
	Location_Client = "socket://localhost:10501/",
	Location_Folder = "seller",
	ROLE = "seller"
}
execution { single }

type OpType:void {
  .msgID:string
  .content?:undefined
}

type CoordType:void {
  .rolesNum:int
  .hasAck?:bool
  .sid:string
}

type JoinType:void {
  .sid:string
}

interface MHInterface {
OneWay:
  initStartProcedure( CoordType )
RequestResponse:
  request( OpType )( undefined ), joinAck( JoinType )( void ), get_request( OpType )( undefined ), joinStart( JoinType )( void )
}

outputPort MH {
Interfaces: MHInterface
}

embedded {
Jolie : "mh.ol" in MH
}

outputPort client {
Location: "socket://localhost:10500/"
Protocol: sodep
RequestResponse:
  joinStart( JoinType )( void )
}

include "AbstractClient.iol"
main
{
  var281.sid = "d5c8db2b-b038-48fe-bc6d-ef8eca5b3eed";
  joinStart@client( var281 )(  );
  var278.msgID = "3f7e39b5-a6b7-46dc-a410-ea5c704919b0";
  get_request@MH( var278 )( var278 );
  var279 = var278.content;
  var280.value = var279;
  var280 = "order";
  set@State( var280 )(  );
  run@ActivityManager( "bd13e47a-8cfb-4ba2-9851-1af43abf7376" )(  )
}

